Show Menu
主题×

JEE上的AEM Forms支持的平台

支持的平台

支持级别

JEE服务器上的AEM Forms可以使用支持的操作系统、应用程序服务器、数据库、数据库驱动程序、JDK、LDAP服务器和电子邮件服务器的任意组合进行设置。
此文档列表JEE上AEM Forms支持的客户端和服务器平台。 Adobe为我们的推荐配置和其他配置提供多种支持级别。 文档还会列表其他受支持的软件及其版本、异常、修补程序定义和第三方软件修补程序支持策略。
  • 有关受支持服务器平台的例外情况的完整列表,请参 阅受支持服务器平台的例外
  • JEE上的AEM Forms仅支持受支持操作系统和应用程序的英语、法语、德语和日语版本。

建议的配置

Adobe建议进行这些配置,并作为标准软件维护协议的一部分提供完全或受限支持:
支持级别 描述
答: 支持 Adobe为此配置提供全面支持和维护。 此配置由Adobe的质量保证流程涵盖。
R: 受限支持 在满足某些先决条件后,Adobe将提供对此配置的完全支持。 请与Adobe企业支持联系,了解先决条件并提出支持请求。
L: 有限支持 在满足特定先决条件后,Adobe将为此配置提供全面支持和维护。 并非所有功能在配置中都可用。 请与Adobe企业支持联系,了解先决条件并提出支持请求。

不支持的配置

支持级别
描述
E: 预期可用
该配置预计会正常工作,而且没有相反的报告。
Z: 不支持
不支持此配置。 Adobe不对配置是否有效发表任何声明,也不支持配置。
为帮助AEM Forms客户降低拥有成本、简化部署体系结构并实现开发堆栈的现代化,Adobe Experience Manager企业平台正从基于应用程序服务器的部署转向基于OSGi的独立部署。 Adobe通过减少的基础架构组件矩阵继续支持AEM Forms JEE堆栈。
随着6.5的发布,我们不再支持在客户中使用率最低的基础架构组件,如下所示: · Oracle WebLogic应用服务器 · IBM DB2数据库 · IBM AIX和Sun Solaris操作系统
对于新安装,建议在可行时在现代OSGi堆栈上部署AEM Forms,以利用与响应式自适应表单相关的最新创新,使用表单渠道模型进行移动、多交互式通信和后端数据集成。
我们认识到现有用户需要继续在JEE堆栈上部署AEM Forms。 在这种情况下,Adobe需要按照本文档所述在受支持的基础架构上部署AEM Forms JEE。 如果您要升级到AEM 6.5 Forms并使用上一个AEM Forms版本上不支持的平台,则可以联系Adobe支持以获得有关升级到受支持平台的帮助。

Java虚拟机(JVM)

Adobe Experience Manager Forms需要运行Java虚拟机,该虚拟机由Java开发工具包(JDK)分发提供。 Adobe Experience Manager可运行以下版本的Java虚拟机:
平台
支持级别
支持的修补程序定义
Oracle Java™ SE 11(64位)
Z: 不支持
Oracle Java™ SE 8(64位) 答: 支持 次要版本和更新
IBM® J9 Virtual Machine(内部版本2.8,JRE 1.8.0) 答: 支持 次要版本和更新
IBM® J9 Virtual Machine(内部版本2.9,JRE 1.8.0) 答: 支持 次要版本和更新
  • 建议跟踪Java供应商的安全公告,以确保生产环境的安全和安全,并安装最新的Java更新。
  • JEE上的AEM Forms仅支持生产环境上的64位JVM。

数据库和CRX持久性

平台
描述
支持级别
文件系统
存储库微内核(TAR MK文件)
支持
MongoDB Enterprise 4.0
存储库微内核
支持
Oracle Database 12c版本1
存储库微内核
支持
Oracle Database 18c 存储库微内核 支持
Oracle Database 19c 存储库微核 支持
Microsoft SQL Server 2016
存储库微内核
支持
IBM DB2 11.1 存储库微内核 R: 受限支持
MySQL 5.7.19 - R: 受限支持
  • IBM DB2不支持新安装。 仅升级到AEM 6.5 Forms的现有客户支持此功能。
  • MongoDB是第三方软件,不包含在AEM授权许可包中。 有关详细信息,请参 阅MongoDB授权策略 页。
  • 为了充分利用您的AEM部署,Adobe建议授权许可MongoDB企业版,以便从专业支持中受益。
  • Adobe客户关怀将协助解决与在AEM中使用MongoDB相关的资格问题。 有关详细信息,请参 阅MongoDB for Adobe Experience Manager页
  • “文件系统”包括符合POSIX的块存储。 这包括网络存储技术。 请注意,文件系统性能可能会有所不同,并影响总体性能。 建议将AEM与网络/远程文件系统一起加载测试。
  • 仅支持MongoDB存储引擎WiredTiger。
  • AEM不支持MongoDB共享。
  • JEE上的AEM Forms不支持MySQL的RDBMK持久性。
  • 文档安全模块不使用内容存储库。 这意味着,如果您仅使用文档安全,并且不计划使用HTML Workspace、HTML5表单或自适应表单,则不要安装内容存储库。
  • JEE上的AEM Forms不支持使用MySQL来保持AEM存储库(CRX-Repository)。

数据库驱动程序

数据库
平台
支持的修补程序定义
MySQL
MySQL Connector/J 5.7
mysql-connector-java-5.1.44-bin.jar(5.1.44版)
在JEE安装时随AEM Forms一起提供
Microsoft SQL Server
Microsoft® SQL Server JDBC驱动程序6.2.1.0
sqljdbc6.jar
在JEE安装时随AEM Forms一起提供。
Oracle
Oracle Database 19.3.0.0.0 JDBC驱动程序
ojdbc8.jar(版本19.3.0.0.0)
从Oracle网 站下载

应用程序服务器

平台
支持级别
支持的修补程序定义
IBM® WebSphere® Application Server 9.0 [1] [4] 答: 支持 服务包和关键更新
JBoss®企业应用程序平台(EAP)7.1.4 [2] [3] [7]
答: 支持
支持的EAP版本的修补程序和累积修补程序
IBM® WebSphere®群集仅在网络部署版本中受支持。

服务器操作系统

生产环境

平台
支持级别
支持的修补程序定义
Microsoft Windows Server 2016(64位) 答: 支持 服务包和关键更新
Red Hat Enterprise Linux 7(Kernel 3.x)(64位)
答: 支持
次要版本、累积更新和关键更新
SUSE® Linux® Enterprise Server 12(64位)
答: 支持
服务包、累积修补程序和关键安全更新
Oracle Linux® 7 Update 3(64位) 答: 支持 服务包、累积修补程序和关键安全更新
CentOS 7(64位) [6] 答: 支持 服务包、累积修补程序和关键安全更新

虚拟化环境

您可以在物理机或虚拟环境上在JEE上运行AEM Forms。 但是,如果您在虚拟环境上遇到AEM Forms的任何问题,请尝试在物理机上复制该问题。 如果物理机上仍存在该问题,请与Adobe支持联系以获得解决。 对于无法在物理机上复制的问题,请与虚拟环境供应商联系。

开发环境

平台(基本版本)
支持级别
支持的修补程序定义
Microsoft® Windows® 10 64位
E: 预期可用
服务包和关键更新

受支持服务器平台的例外情况

在选择平台以在JEE服务器上设置AEM表单时,请考虑以下例外情况。
  1. JEE上的AEM Forms不支持IBM® WebSphere®和MySQL。
  2. JEE上的AEM Forms不支持SUSE Linux Enterprise Server 12上的JBoss。 SUSE Linux Enterprise Server 12仅支持IBM WebSphere。
  3. JEE上的AEM Forms不支持除Oracle Java™ SE外的JDK与JBoss®。
  4. JEE上的AEM Forms不支持IBM® WebSphere®(IBM® JDK除外)中的任何JDK。
  5. CRX-repository支持TarMK、MongoDB和关系数据库(RDBMK)类型的持久性。 应用程序服务器和CRX-repository之间不能有两个不同的数据库系统。 但是,在JEE环境的AEM Forms上,您可以将MongoMK与CRX-repository结合使用,将受支持的关系数据库与应用程序服务器结合使用。
  6. JEE上的AEM Forms不支持CentOS上的WebSphere应用程序服务器。
  7. JEE上的AEM Forms不支持基于JBoss角色的访问控制(RBAC)。
此外,在为JEE部署的Adobe AEM Forms选择软件时,请考虑以下几点:
  • JEE上的AEM Forms支持受支持软件的指定主要版本和次要版本的更新、修补程序和修复包。 但是,除非指定,否则不支持更新到下一个主版本或次版本。
  • 基于群集的安装不支持TarMK持久性。 有关支持的持久性的信息,请 参阅为AEM Forms安装选择持久性类型
  • AEM Forms on JEE根据我们的第三方软件支持政策支 持各种第三方软件
  • JEE上的AEM Forms根据第三方供应商提供的支持支持支持平台。 某些组合可能不允许由第三方供应商进行。 例如,许多供应商尚未通过Oracle对其应用程序服务器进行认证。 因此,JEE上的AEM Forms也不支持这些组合。 要确保选择支持的软件版本,请查看第三方供应商的支持列表。
  • JEE上的AEM Forms不支持TarMK Cold Standby。
  • JEE上的AEM Forms不支持垂直群集。
  • JEE上的AEM Forms不支持群集环境上的MySQL数据库。
  • 有关已删除或更新平台的列表,请参 阅AEM 6.5表单新增功能摘要 文档。

LDAP服务器(可选)

产品(基本版本)
支持的修补程序定义
Oracle Unified Directory(OUD)11g Release 2 服务包
Microsoft Active Directory 2016 维护版本和修复包
IBM® Tivoli Directory Server 6.4
功能包和临时修复

电子邮件服务器(可选)

产品
IBM Lotus Domino 9.0
Microsoft Exchange 2013
Microsoft Office 365

内容管理器和相应的连接器

产品 版本
EMC Documentum 7.3
IBM Filenet 5.2
IBM Content Manager Server 8.5修复包2
IBM Content Manager Client 8.5
Microsoft Sharepoint 2016

支持Cordova

AEM Forms App现在支持Apache Cordova。 以下是支持的特定于平台的Cordova版本:
  • Apache Cordova 6.4.0
  • Cordova iOS 4.3.0
  • Cordova Android 6.0.0
  • Cordova Windows 4.4.3

对PDF Generator的软件支持

产品
支持的转换为PDF的格式
Acrobat 2017经典音轨 ,最新版本 XPS,图像格式(BMP、GIF、JPEG、JPG、TIF、TIFF、PNG、JPF、JPX、JP2、J2K、J2C、JPC)、HTML、HTM、DWG、DXF和DWF
Microsoft® Office 2016 DOC、DOCX、XLS、XLSX、PPT、PPTX、RTF和TXT
WordPerfect X7 WP, WPD
Microsoft® Office Visio 2016 VSD、VSDX
Microsoft® Publisher 2016 PUB
Microsoft® Project 2016 MPP
OpenOffice 4.1.2 ODT、ODP、ODS、ODG、ODF、SXW、SXI、SXC、SXD、XLS、XLSX、DOC、DOCX、PPT、PPTX、图像格式(BMP、GIF、JPEG、TIF、 PNG、JPF、JPX、JP2、J2K、J2C、JPC)、HTML、HTM、RTF和TXT
PDF Generator仅支持支持的操作系统和应用程序的英语、法语、德语和日语版本。
此外:
  • PDF Generator需要32位版本的 Acrobat 2017经典音轨版本17.011.30078或更高版本 ,才能执行转换。
  • PDF Generator仅支持Microsoft Office Professional Plus的32位零售版以及转换所需的其他软件。
  • PDF Generator不支持Microsoft Office 365。
  • 仅Windows和Linux支持OpenOffice的PDF Generator转换。
  • OCR PDF、优化PDF和导出PDF功能仅在Windows上受支持。
  • 某个版本的Acrobat与AEM Forms捆绑在一起,以启用PDF Generator功能。 在AEM Forms许可证的期限内,只能通过AEM Forms以编程方式访问捆绑版本,以便与AEM Forms PDF Generator一起使用。 有关详细信息,请参阅AEM Forms产品说明( 按部署 或Managed Services )”
  • PDF Generator服务不支持Microsoft Windows 10。

辅助功能支持的例外

AEM Forms的以下子系统不符合 508 标准:
  • 自适应表单创作UI
  • Forms Manager创作UI
  • 通信管理创作UI
  • 管理员UI(管理控制台UI)

JEE上的AEM Forms的系统要求

最低硬件要求

平台 最低硬件要求
Microsoft Windows Server Intel® Xeon® E5-2680、2.4 GHz处理器或等效的VMWare ESX 5.1或更高版本 RAM: 6 GB(64位操作系统,带64位JVM)可用磁盘空间 : 15GB临时空间,外加22GB (适用于JEE上的AEM Forms)
SUSE Linux Enterprise Server Intel Xeon E5-2670v2,1个vCPU,2.5 GHz处理器 AWS m3.medium(3个ECU) RAM: 6 GB(64位操作系统,带64位JVM)可用磁盘空间 : 6 GB临时空间,外加22GB (适用于JEE上的AEM Forms)
Red Hat Enterprise Linux Intel Xeon E5-2670v2,1个vCPU,2.5 GHz处理器 AWS m3.medium(3个ECU) RAM: 6 GB(64位操作系统,带64位JVM)可用磁盘空间 : 6 GB临时空间,外加22GB (适用于JEE上的AEM Forms)
小型生产环境的硬件要求
  • 以英特尔为后盾的环境 : 英特尔®至强® E5-2680,2.4 GHz或更高。 使用双核处理器将进一步提高性能
  • 内存: 4 GB
有关其他要求,请参阅:

JEE上的AEM Forms支持的客户端

Workbench

平台
支持的修补程序定义
Microsoft® Windows® 10(Enterprise、Pro、Basic)
32位或64位版本
服务包和关键更新
Microsoft® Windows® 2016 Server 服务包和关键更新
  • 安装的磁盘空间: 1.7 GB(仅限Workbench),2.7 GB(在单个驱动器上),可完全安装Workbench、Designer和示例程序集400 MB(临时安装目录)- 200 MB(在用户临时目录),200 MB(在Windows临时目录中)。 如果所有这些位置都位于单个驱动器上,则安装过程中必须有1.5 GB的可用空间。 安装完成后,将删除复制到临时目录的文件。
  • 运行Workbench的内存: 2 GB内存
  • 硬件要求: Intel® Pentium® 4或AMD等效处理器,1 GHz处理器
  • 最低1024 X 768像素或更高的显示器分辨率,16位颜色或更高
  • 到JEE服务器上AEM Forms的TCP/IPv4或TCP/IPv6网络连接
  • 您必须具有“管理”权限才能在Windows上安装Workbench。 如果您使用非管理员帐户进行安装,安装程序将提示您输入相应帐户的凭据。

设计人员

要在Windows上安装Designer,请以管理权限运行安装程序。
  • Microsoft® Windows® 2016 Server、Microsoft Windows 10
    • 支持PAE、NX和SSE2的1 GHz或更快的处理器。
    • 32位需要1GB内存,64位操作系统需要2GB内存
    • 32位为16 GB磁盘空间,64位操作系统为20 GB磁盘空间
  • 图形内存- 128 MB GPU(建议使用256 MB)
  • 2.35 GB可用硬盘空间
  • DVD-ROM驱动器
  • Internet Explorer 10或11; Firefox 45.x
  • 1024 X 768像素或更高的显示器分辨率
  • 视频硬件加速(可选)
  • Acrobat Pro DC、Acrobat Standard DC或Adobe Acrobat Reader DC。

Adobe Acrobat和Adobe Reader

Acrobat和Adobe Reader(基础)
支持的修补程序定义
Acrobat 2017(经典曲目) 版本17.011.30078或更高版本
Acrobat DC产品系列为Acrobat和Reader引入了两种途径,这两种途径本质上是不同的产品: “经典”和“连续”。 有关这两个音轨的详细信息和比较,请参 阅https://www.adobe.com/go/acrobatdctracks。

浏览器

台式机

浏览器(基础)
支持级别
支持的修补程序定义
Microsoft Edge(Evergreen)
答: 支持
服务包和更新
Mozilla Firefox(Evergreen)
答: 支持
所有更新
Microsoft Firefox ESR E: 预期可用 所有更新
Google Chrome(Evergreen)
答: 支持
所有更新
MAC OS X上的Google Chrome和Firefox 答: 支持 所有更新
Apple Safari 11.x 答: 支持 所有更新
Apple Safari 12.x 答: 支持 所有更新
桌面的某些与浏览器相关的例外情况如下:
  • 大多数新式浏览器不再支持基于NPAPI的插件。 有关它如何影响AEM Forms应用程序和工作流的信息,请 参阅停止NPAPI浏览器插件及其影响
  • 仅Macintosh OS X支持Safari。
  • Workspace在Macintosh OS X 10.6和10.7上支持Safari 5.1(带有Acrobat DC或更高版本)。 有关Safari 5.1与Adobe Reader、Acrobat兼容性的详细信息,请参 阅https://helpx.adobe.com/x-productkb/multi/safari-5-1-incompatible-reader.html
  • Safari不支持管理控制台。
  • 对应管理不支持适用于AEM 6.1表单的Windows® Internet Explorer 9.0。
  • 表单门户支持Internet Explorer 11上的JAWS 14.0屏幕阅读器软件,以实现辅助功能。

移动客户端

浏览器(基础)
支持的修补程序定义
Android™ 4.1.2及更高版本上的Chrome
所有更新
iOS 11.0及更高版本上的Safari 所有更新
Microsoft Edge 所有更新
Android™ 4.4及更高版本上的本机Android浏览器 所有更新
  • 仅在iPad上的Safari上支持表单门户。

AEM Forms app

移动设备支持

AEM Forms应用程序可用于以下平台:
平台
支持的设备
Apple iOS
运行iOS 11及更高版本的Apple iPhone、iPad、iPad Air和iPad mini。
Google Android
Android 5.1及更高版本。 AEM Forms应用程序已通过7英寸和10英寸Samsung Galaxy平板电脑和流行智能手机的认证。
Microsoft Windows
运行Microsoft Windows 10操作系统的Microsoft Surface设备、平板电脑、笔记本电脑和台式机。

Adobe Flash Player

Flash Player(基础)
支持的修补程序定义
Flash Player最新版本
次要版本和更新

Adobe文档Security Extension for Microsoft Office

单击 此处 ,查看Adobe Security Extension for Microsoft® Office的系统要求。

客户端支持的例外

JEE上的AEM Forms支持受支持软件的指定主要版本和次要版本的更新、修补程序和修复包。 但是,除非指定,否则不支持更新到下一个主版本或次版本。

第三方修补程序支持策略

JEE上的AEM Forms的第三方软件要求在其各自产品文档的“系统要求”部分中进行说明。 所有文档均可从https://adobe.com/go/learn_aemforms_documentation_65 访问
JEE的第三方参考平台上的AEM Forms声明了在JEE上开发和发布AEM Forms时最新的第三方基础架构的特定修补程序级别,以及JEE上该版本的AEM Forms支持的基础架构的最低修补程序/服务包级别。
Adobe支持第三方供应商在发布时发布的紧急或推荐的修补程序,前提是第三方供应商保证向后兼容JEE上的AEM Forms支持的版本。 Adobe将仅支持在AEM Forms on JEE文档中规定的最低修补程序级别之后发布的修补程序。
在某些情况下,Adobe不支持更改主要功能的第三方更新,因此不支持完全向后兼容性。 有关支持的更新的详细信息,请参 阅特定供应商产品 、Adobe支持的修补程序类型的支持的修补程序定义。
在Adobe无法控制的情况下,声称向后兼容的第三方修补程序可能会对Adobe产品或客户环境产生负面影响。 在这种情况下,Adobe建议客户先评估来自第三方的任何紧急补丁程序的影响,然后再将其应用到关键系统。 Adobe将与第三方合作,通过正常的Adobe支持项目或第三方在他们的补丁中解决该问题,通过合理的业务努力解决此类问题。 这不保证将受Adobe支持的新发布的第三方修补程序能按供应商的说明或与JEE上的AEM Forms一起使用。
Adobe保留在任何给定点更改由AEM Forms on JEE版本支持的第三方参考平台及其支持的修补程序定义的权利。
通过搜索Adobe企业支持站点以找到与您的产品相关的知识库文章,还可以找到有关第三方修补程序的其他信息。